//==============================================================================
// Internationalisation interface
//==============================================================================

#ifndef I18NINTERFACE_H
#define I18NINTERFACE_H

//==============================================================================

#include "interface.h"

//==============================================================================

#include <QTranslator>

//==============================================================================

namespace OpenCOR {

//==============================================================================

class I18nInterface : public Interface
{
public:
    void setLocale(const QString &pLocale);
    void setPluginName(const QString &pPluginName);

    virtual void retranslateUi();

private:
    QString mPluginName;

    QTranslator mTranslator;
};

//==============================================================================

}   // namespace OpenCOR

//==============================================================================

Q_DECLARE_INTERFACE(OpenCOR::I18nInterface, "OpenCOR::I18nInterface")

//==============================================================================

#endif

//==============================================================================
// End of file
//==============================================================================
